package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@ApiModel("健康菜谱详情")
public class HealthRecipeDetailAddDTO {
   @ApiModelProperty("菜谱详情id")
   private Long healthDetailId;
   @ApiModelProperty("餐次类型 1-早餐 2-午餐 3-下午茶 4-晚餐 5-夜宵")
   private @NotNull(
   message = "{nutrition.recipe.detail.day.mealtimeType.nonNull}"
) Integer mealtimeType;
   @ApiModelProperty("菜品")
   private @Valid
   @Size(
   min = 1,
   message = "{nutrition.recipe.detail.day.dishesList.nonNull}"
) List<HealthRecipeDishesAddDTO> dishesList;

   public Long getHealthDetailId() {
      return this.healthDetailId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public List<HealthRecipeDishesAddDTO> getDishesList() {
      return this.dishesList;
   }

   public void setHealthDetailId(final Long healthDetailId) {
      this.healthDetailId = healthDetailId;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDishesList(final List<HealthRecipeDishesAddDTO> dishesList) {
      this.dishesList = dishesList;
   }

}
